Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
akonadi madness
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Sat Sep 18, 2010 11:58 pm    Post subject: akonadi madness Reply with quote

Is there anything I can do to fix this
Code:
sandy@sandyd-laptop /var/log/apache2 $ sudo emerge -pv akonadi

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-libs/soprano-9999 [2.5.0] USE="dbus raptor redland virtuoso -clucene -debug -doc -java -test" 0 kB [1]
[ebuild  N    ] sys-power/upower-0.9.4  USE="nls -debug -doc (-introspection)" 458 kB [0]
[ebuild  NS   ] kde-base/kde-env-9999 [4.5.9999] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall    ] kde-base/kde-env-4.5.9999  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)"  [1]
[blocks b     ] kde-base/kde-env:live[-kdeprefix] ("kde-base/kde-env:live[-kdeprefix]" is blocking kde-base/kde-env-4.5.9999)
[blocks b     ] kde-base/kde-env:4.5[-kdeprefix] ("kde-base/kde-env:4.5[-kdeprefix]" is blocking kde-base/kde-env-9999)
[ebuild  NS   ] kde-base/kdelibs-9999 [4.5.9999] USE="acl alsa bzip2 handbook jpeg2k mmx nls opengl policykit semantic-desktop sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -doc -fam (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -spell -test -zeroconf" 0 kB [1]                                                                                                                             
[ebuild  N    ] kde-base/nepomuk-9999  USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[ebuild  N    ] kde-base/kdepimlibs-9999  USE="handbook semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -test" 0 kB [1]
[ebuild  N    ] kde-base/libkdepim-4.4.9999  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[ebuild  NS   ] kde-base/kdepim-icons-9999 [4.4.5] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall    ] kde-base/kdepim-icons-4.4.5  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)"  [0]
[blocks b     ] kde-base/kdepim-icons:live[-kdeprefix] ("kde-base/kdepim-icons:live[-kdeprefix]" is blocking kde-base/kdepim-icons-4.4.5)
[blocks b     ] kde-base/kdepim-icons:4.4[-kdeprefix] ("kde-base/kdepim-icons:4.4[-kdeprefix]" is blocking kde-base/kdepim-icons-9999)
[ebuild  NS   ] kde-base/kdepim-runtime-9999 [4.4.5] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall    ] kde-base/kdepim-runtime-4.4.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"  [0]
[blocks b     ] kde-base/kdepim-runtime:4.4[-kdeprefix] ("kde-base/kdepim-runtime:4.4[-kdeprefix]" is blocking kde-base/kdepim-runtime-9999)
[blocks b     ] kde-base/kdepim-runtime:live[-kdeprefix] ("kde-base/kdepim-runtime:live[-kdeprefix]" is blocking kde-base/kdepim-runtime-4.4.5)
[ebuild     U ] kde-base/akonadi-4.4.9999 [4.4.5] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0=>1]
[ebuild  NS   ] kde-base/khelpcenter-9999 [4.5.9999] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall    ] kde-base/khelpcenter-4.5.9999  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"  [1]
[blocks b     ] kde-base/khelpcenter:4.5[-kdeprefix] ("kde-base/khelpcenter:4.5[-kdeprefix]" is blocking kde-base/khelpcenter-9999)
[blocks b     ] kde-base/khelpcenter:live[-kdeprefix] ("kde-base/khelpcenter:live[-kdeprefix]" is blocking kde-base/khelpcenter-4.5.9999)
[blocks B     ] kde-base/kdelibs:4.5[-kdeprefix] ("kde-base/kdelibs:4.5[-kdeprefix]" is blocking kde-base/kdelibs-9999)

Total: 11 packages (2 upgrades, 4 new, 5 in new slots, 4 uninstalls), Size of downloads: 458 kB
Conflict: 9 blocks (1 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/kde

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdelibs-4.5.9999', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.4.9999[-kdeprefix,-aqua] required by ('ebuild', '/', 'kde-base/akonadi-4.4.9999', 'merge')
    >=kde-base/kdelibs-4.4.9999[semantic-desktop,-kdeprefix,-aqua] required by ('ebuild', '/', 'kde-base/akonadi-4.4.9999', 'merge')

  ('ebuild', '/', 'kde-base/kdelibs-9999', 'merge') pulled in by
    >=kde-base/kdelibs-9999[handbook,-kdeprefix,-aqua] required by ('ebuild', '/', 'kde-base/khelpcenter-9999', 'merge')
    >=kde-base/kdelibs-9999[semantic-desktop,-kdeprefix,-aqua] required by ('ebuild', '/', 'kde-base/nepomuk-9999', 'merge')
    >=kde-base/kdelibs-9999[handbook,-kdeprefix,-aqua] required by ('ebuild', '/', 'kde-base/kdepimlibs-9999', 'merge')
    (and 8 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


or is akonadi/kdepim still very broken?
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
g.e.n.t.u.x.
Guru
Guru


Joined: 21 Aug 2006
Posts: 410
Location: Berlin

PostPosted: Sun Sep 19, 2010 6:31 am    Post subject: Reply with quote

hello dolphinaura.

i looks like an unemerge the actual kde-env and kdepim-runtime package.
this is what i do if i have that issue with updates. in my case poppler-* was the one i have to unmerge

maximus successus
_________________
Human being isnt a default setted feature.
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Sat Oct 02, 2010 11:37 pm    Post subject: Reply with quote

g.e.n.t.u.x. wrote:
hello dolphinaura.

i looks like an unemerge the actual kde-env and kdepim-runtime package.
this is what i do if i have that issue with updates. in my case poppler-* was the one i have to unmerge

maximus successus

thanks!
worked perfectly
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum